Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	GNOME Onscreen Keyboard
Name:		gok
Version:	2.26.0
Release:	3
License:	GNU/LGPLv2+
Group:		Desktop/Accessibility
URL:		http://www.gnome.org
Source0:	http://download.gnome.org/sources/gok/2.26/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Patch0:		gok-0.10.2-launcher.patch

Requires(pre):		GConf
Requires(post):		GConf
Requires(post):		scrollkeeper
Requires(preun):	GConf
Requires(postun):	scrollkeeper

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: at-spi-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-speech-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeui-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.

%package	devel
Summary:	Libraries/include files for the Gnome Onscreen Keyboard
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The gok project aims to enable users to control their computer without
having to rely on a standard keyboard or mouse, leveraging GNOME's
built-in accessibility framework.
This package contains the libraries and includes files necessary to develop
applications and plugins for gok.

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gok.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gok.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gok.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q

%prep
%setup -q
%patch0 -p1 -b .launcher
# http://bugzilla.gnome.org/show_bug.cgi?id=514007
chmod a-x help/gok/C/legal.xml

%build
%configure --sysconfdir=%_sysconfdir/gnome \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removed unwanted stuff
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING
%_sysconfdir/gnome/gconf/schemas
%_bindir/gok
%_bindir/create-branching-keyboard
%_libdir/bonobo/servers/GNOME_Gok.server
%_datadir/gok
%_datadir/icons
%_pixmaps
%_applications

%files devel
%defattr(-, root, root)
%_pkgconfig
%_datadir/gtk-doc

%changelog
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-3
- fixed sysconfdir location
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 2.26.0-2
- fixed gconf require
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Initial package release
